> ## Documentation Index
> Fetch the complete documentation index at: https://docs.derivadex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Strategy Fees History

> Get maker/taker fee aggregates for a strategy



## OpenAPI

````yaml /api-specs/public-rest-unified.json get /stats/api/v1/fees
openapi: 3.1.0
info:
  title: DerivaDEX API Documentation
  version: '1.0'
  description: ''
servers:
  - url: https://testnet.derivadex.io
    description: DerivaDEX testnet
security: []
tags:
  - name: Venue-Wide Tables
    description: These APIs expose venue-wide public tables and reference data.
    x-source-api: Public REST API
  - name: System
    description: These APIs return system info.
    x-source-api: Public REST API
  - name: Trade
    description: These APIs provide data for a particular trader.
    x-source-api: Public REST API
  - name: Market
    description: These APIs return key high level metrics for markets.
    x-source-api: Public REST API
  - name: Trade
    description: These APIs provide data for a particular trader.
    x-source-api: Public Exchange REST API
  - name: Market
    description: These APIs return key high level metrics for markets.
    x-source-api: Public Exchange REST API
  - name: System
    description: These APIs return system info.
    x-source-api: Public Exchange REST API
paths:
  /stats/api/v1/fees:
    get:
      tags:
        - Trade
      summary: Get Strategy Fees History
      description: Get maker/taker fee aggregates for a strategy
      parameters:
        - in: query
          name: trader
          schema:
            type: string
          required: true
          description: The trader address.
          example: '0xb993e587c15a9e0a0fe4f111de98fd6b5ce7067d'
        - in: query
          name: strategyId
          schema:
            type: string
          required: true
          description: The strategy ID.
          example: main
        - in: query
          name: limit
          schema:
            type: integer
            default: 500
          description: The number of rows to return
        - in: query
          name: epoch
          schema:
            type: integer
          description: The epoch boundary used when fetching the next timeseries page.
          example: 100
        - in: query
          name: txOrdinal
          schema:
            type: integer
          description: >-
            The txOrdinal boundary used when fetching the next timeseries page.
            Must be passed along with epoch.
          example: 4323
        - in: query
          name: ordinal
          schema:
            type: integer
          description: >-
            The ordinal boundary used when fetching the next timeseries page.
            Must be passed along with epoch and txOrdinal.
          example: 1
        - in: query
          name: symbol
          schema:
            type: string
          description: The symbol
          example: ETHP
        - in: query
          name: order
          schema:
            type: string
            enum:
              - asc
              - desc
            default: asc
          description: The ordering of the results.
      responses:
        '200':
          description: Fees timeseries data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeeAPISuccessResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatsAPIErrorResponse'
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatsAPIErrorResponse'
components:
  schemas:
    FeeAPISuccessResponse:
      anyOf:
        - type: object
          additionalProperties: false
          properties:
            nextEpoch:
              type:
                - number
                - 'null'
              description: >-
                Pointer for the epoch boundary of the next page. Will return
                null when there is no more data left to fetch.
              examples:
                - 100
                - null
            nextTxOrdinal:
              type:
                - number
                - 'null'
              description: >-
                Pointer for the txOrdinal boundary of the next page. Will return
                null when there is no more data left to fetch.
              examples:
                - 3432
                - null
            nextOrdinal:
              type:
                - number
                - 'null'
              description: >-
                Pointer for the ordinal boundary of the next page. Will return
                null when there is no more data left to fetch.
              examples:
                - 100
                - null
            value:
              type: array
              items:
                type: object
                properties:
                  epochId:
                    type: string
                    description: The epoch in which this transaction occured.
                    examples:
                      - 100
                  txOrdinal:
                    type: string
                    description: The transaction ordinal, within the epoch.
                    examples:
                      - 3432
                  ordinal:
                    type: string
                    description: The ordinal within this particular transaction.
                    examples:
                      - 0
                  amount:
                    type: string
                    description: The amount of fee paid
                    examples:
                      - '1.0'
                  feeSymbol:
                    type: string
                    description: The symbol of the fee paid (USDC or DDX)
                    examples:
                      - USDC
                  symbol:
                    type: string
                    description: The symbol of the asset for which the fee was paid.
                    examples:
                      - ETHP
                  createdAt:
                    type: string
                    format: date-time
                    description: The time when this row was added to the database.
                    examples:
                      - '2023-01-06T16:37:27.929Z'
                required:
                  - epochId
                  - txOrdinal
                  - ordinal
                  - amount
                  - feeSymbol
                  - symbol
                  - createdAt
                additionalProperties: false
                description: Fee Response
              description: The value of the response
            success:
              type: boolean
              const: true
              description: Whether the request was successful
            timestamp:
              type: number
              description: The timestamp of the response
              examples:
                - 1673031089
          required:
            - nextEpoch
            - nextOrdinal
            - nextTxOrdinal
            - success
            - timestamp
            - value
        - type: object
          properties:
            success:
              type: boolean
              const: false
            errorMsg:
              anyOf:
                - type: string
                - type: array
                  items:
                    type: object
                    additionalProperties: false
          required:
            - success
          additionalProperties: false
      description: Successful response for the Fee API
    StatsAPIErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          const: false
        errorMsg:
          anyOf:
            - type: string
            - type: array
              items:
                type: object
                additionalProperties: false
      required:
        - success
      additionalProperties: false

````